Template Numerical Library: TNL::Functions::experimental::BoundaryMeshFunction< Mesh, MeshEntityDimension, Real > Class Template Reference

Template Numerical Library version\ main:c7077e4fd

Loading...
Searching...
No Matches
Public Types | List of all members
TNL::Functions::experimental::BoundaryMeshFunction< Mesh, MeshEntityDimension, Real > Class Template Reference
Inheritance diagram for TNL::Functions::experimental::BoundaryMeshFunction< Mesh, MeshEntityDimension, Real >:
[legend]
Collaboration diagram for TNL::Functions::experimental::BoundaryMeshFunction< Mesh, MeshEntityDimension, Real >:
[legend]

## Public Types
using | BaseType = MeshFunction< Mesh, MeshEntityDimension, Real >
using | DeviceType
using | IndexType
using | MeshPointer
using | MeshType
using | RealType
using | VectorType
Public Types inherited from TNL::Functions::experimental::MeshFunction< Mesh, Mesh::getMeshDimension(), typename Mesh::RealType >
using | DeviceType
using | IndexType
using | MeshPointer
using | MeshType
using | RealType
using | VectorType
Public Types inherited from TNL::Functions::experimental::Domain< Mesh::getMeshDimension(), MeshDomain >
using | DeviceType

## Additional Inherited Members
Public Member Functions inherited from TNL::Functions::experimental::MeshFunction< Mesh, Mesh::getMeshDimension(), typename Mesh::RealType >
bool | deepRefresh (const RealType &time=0.0) const
__cuda_callable__ const VectorType & | getData () const
RealType | getLpNorm (const RealType &p) const
RealType | getMaxNorm () const
__cuda_callable__ const MeshType & | getMesh () const
const MeshPointer & | getMeshPointer () const
RealType | getValue (const EntityType &meshEntity) const
__cuda_callable__ RealType & | operator() (const EntityType &meshEntity, const RealType &time=0)
MeshFunction & | operator+= (const Function &f)
MeshFunction & | operator-= (const Function &f)
MeshFunction & | operator= (const MeshFunction &f)
__cuda_callable__ RealType & | operator[] (const IndexType &meshEntityIndex)
bool | refresh (const RealType &time=0.0) const
void | setMesh (const MeshPointer &meshPointer)
bool | setup (const MeshPointer &meshPointer, const Config::ParameterContainer &parameters, const String &prefix="")
void | setValue (const EntityType &meshEntity, const RealType &value)
void | write (const std::string &functionName, const std::string &fileName, const std::string &fileFormat="auto") const
Static Public Member Functions inherited from TNL::Functions::experimental::MeshFunction< Mesh, Mesh::getMeshDimension(), typename Mesh::RealType >
static void | configSetup (Config::ConfigDescription &config, const String &prefix="")
static IndexType | getDofs (const MeshPointer &meshPointer)
static constexpr int | getEntitiesDimension ()
static constexpr int | getMeshDimension ()
Static Public Member Functions inherited from TNL::Functions::experimental::Domain< Mesh::getMeshDimension(), MeshDomain >
static constexpr int | getDomainDimension ()
static constexpr DomainType | getDomainType ()
Protected Attributes inherited from TNL::Functions::experimental::MeshFunction< Mesh, Mesh::getMeshDimension(), typename Mesh::RealType >
VectorType | data
MeshPointer | meshPointer

The documentation for this class was generated from the following file:

- src/TNL/Functions/experimental/BoundaryMeshFunction.h